> For the complete documentation index, see [llms.txt](https://developer.browpay.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.browpay.com/payments/transaction-codes/verify-token.md).

# Verify Token

This endpoint gives you the access to redeem your token and credit your wallet for fund access per transaction. On the other hand, see the QuickStart guide Step 3 and Step 4 to learn how we handle and automate token redemption to ensure you are credited.

<mark style="color:green;">`POST`</mark> `{{base_url}}/token/verify`

{% hint style="info" %}
Fields with <mark style="color:red;">\*</mark> are required
{% endhint %}

#### Headers

| Name                                            | Type   | Description                  |
| ----------------------------------------------- | ------ | ---------------------------- |
| Authorization<mark style="color:red;">\*</mark> | String | Bearer {{your\_secret\_key}} |

#### Request Body

| Name                                    | Type   | Description                 |
| --------------------------------------- | ------ | --------------------------- |
| token<mark style="color:red;">\*</mark> | String | 8-length alphanumeric token |

{% tabs %}
{% tab title="404: Not Found Token Unavailable" %}

```json
{
    "success": false,
    "error": "Error in request",
    "message": "That token is currently unavailable; ensure you are providing the correct token."
}
```

{% endtab %}

{% tab title="200: OK " %}

```json
{
    "success": true,
    "message": "The payment token has been successfully redeemed.",
    "data": {
        "credit_amount": 27875,
        "currency": "NGN",
        "customer": "Ciroma Alade",
        "payment_date": "2024-01-20T22:57:10.000000Z",
        "updated_at": "2024-01-27T16:10:51.000000Z"
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.browpay.com/payments/transaction-codes/verify-token.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
